import 'package:equatable/equatable.dart';
import 'package:first_project/domain/models/card.dart';
import 'package:first_project/presentation/home_page/home_page.dart';

class HomeState extends Equatable {
  final Future<List<CardData>?>? data;

  const HomeState({this.data});

  HomeState copyWith({Future<List<CardData>?>? data}) =>
      HomeState(data: data ?? this.data);

  @override
  List<Object?> get props => [data];
}